From 475d38c557fc2361aef5395652e26dc3c10072fc Mon Sep 17 00:00:00 2001
From: Michael Paquier <michael@otacoo.com>
Date: Fri, 5 Dec 2014 11:49:41 +0900
Subject: [PATCH 2/2] Mention update of track_commit_timestamps in
 XLOG_PARAMETER_CHANGE

This parameter update was not mentioned in the description of this WAL
record.
---
 src/backend/access/rmgrdesc/xlogdesc.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/backend/access/rmgrdesc/xlogdesc.c b/src/backend/access/rmgrdesc/xlogdesc.c
index 645eec1..7a2a842 100644
--- a/src/backend/access/rmgrdesc/xlogdesc.c
+++ b/src/backend/access/rmgrdesc/xlogdesc.c
@@ -110,12 +110,13 @@ xlog_desc(StringInfo buf, XLogReaderState *record)
 
 		appendStringInfo(buf, "max_connections=%d max_worker_processes=%d "
 						 "max_prepared_xacts=%d max_locks_per_xact=%d "
-						 "wal_level=%s wal_log_hints=%s",
+						 "wal_level=%s wal_log_hints=%s track_commit_timestamp=%s",
 						 xlrec.MaxConnections,
 						 xlrec.max_worker_processes,
 						 xlrec.max_prepared_xacts,
 						 xlrec.max_locks_per_xact,
 						 xlrec.wal_log_hints ? "true" : "false",
+						 xlrec.track_commit_timestamp ? "true" : "false",
 						 wal_level_str);
 	}
 	else if (info == XLOG_FPW_CHANGE)
-- 
2.2.0

